List all of your bounty rewards:
GET
/rewardsView full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/bounties/rewards' \ -H 'accept: */*' \ -H 'Content-Type: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 OK with a JSON response body that looks something like this:
{ "groupId": "CsRKC8uD0NLtyQ0LOt8Ru", "groupName": "Test Group", "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "rewards": [ { "id": "kCxr7lst7Ghk8n1o6DKEF", "bountyId": "XrEeF3CrtiSuz2xu8Y6O1", "memberId": "9jd7RBR_B2BZ0uWO3_lgv", "playerId": "55d57cffaa074cc6b8d332f5d77661f2", "name": "200 IGC", "externalId": "dalfjka;sdlgjkda;l", "rewardCompleted": false } ]}You can also retrieve rewards for a specific bounty:
GET
/{bountyId}/rewardsView full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/bounties/XrEeF3CrtiSuz2xu8Y6O1/rewards' \ -H 'accept: */*' \ -H 'Content-Type: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 OK with a JSON response body that looks something like this:
{ "groupId": "CsRKC8uD0NLtyQ0LOt8Ru", "groupName": "Test Group", "bountyId": "XrEeF3CrtiSuz2xu8Y6O1", "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "rewards": [ { "id": "kCxr7lst7Ghk8n1o6DKEF", "memberId": "9jd7RBR_B2BZ0uWO3_lgv", "playerId": "55d57cffaa074cc6b8d332f5d77661f2", "name": "200 IGC", "externalId": "dalfjka;sdlgjkda;l", "rewardCompleted": false } ]}By default, neither of these endpoints will return rewards that have already been marked as completed, but you can change this behavior by adding ?includeCompleted to the URL. Completed rewards will also include the referenceId, if one was provided when the reward was marked complete.
{ "groupId": "CsRKC8uD0NLtyQ0LOt8Ru", "groupName": "Test Group", "bountyId": "XrEeF3CrtiSuz2xu8Y6O1", "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "rewards": [ { "id": "kCxr7lst7Ghk8n1o6DKEF", "memberId": "9jd7RBR_B2BZ0uWO3_lgv", "playerId": "55d57cffaa074cc6b8d332f5d77661f2", "name": "200 IGC", "externalId": "dalfjka;sdlgjkda;l", "rewardCompleted": true, "referenceId": "ababslfdpie" } ]}